# Use spaces for indent (because f*k tabs)
defaultIndent: "    "

# Limit Number of backups
maxNumberOfBackups: 3

indentRules:
  recall: "    "
  remarks: "    "
  remark: "    "
  guides: "    "
  properties: "    "
  restrictions: "    "
  limitations: "    "
  terms: "    "
  notation: "    "
  usage: "    "
  task: "    "
  proof: "    "
  general: "    "
  simplebox: "    "
  definition: "    "
  theorem: "    "
  lemma: "    "
  corollary: "    "
  axiom: "    "
  fact: "    "
  proposition: "    "
  example: "    "
  formula: "    "
  conjugation: "    "
  forms: "    "

lookForAlignDelims:
  tables:
    delims: 1
    alignDoubleBackSlash: 1
    spacesBeforeDoubleBackSlash: 1
    multiColumnGrouping: 0
    alignRowsWithoutMaxDelims: 1
    spacesBeforeAmpersand: 1
    spacesAfterAmpersand: 1
    justification: left
    alignFinalDoubleBackSlash: 0
    dontMeasure: 0
    delimiterRegEx: (?<!\\)(&)
    delimiterJustification: left
    lookForChildCodeBlocks: 1
    alignContentAfterDoubleBackSlash: 0
    spacesAfterDoubleBackSlash: 1

specialBeginEnd:
  If:
    begin: '\\If'
    middle: 
      - '\\ElsIf'
      - '\\Else'
    end: '\\EndIf'
    lookForThis: 1
  For:
    begin: '\\For'
    end: '\\EndFor'
    lookForThis: 1
  Procedure:
    begin: '\\Procedure'
    end: '\\EndProcedure'
    lookForThis: 1
  Function:
    begin: '\\Function'
    end: '\\EndFunction'
    lookForThis: 1
  While:
    begin: '\\While'
    end: '\\EndWhile'
    lookForThis: 1
  specialBeforeCommand: 1
